<template class="w-4/4">
    <div class="p-5">
        <div class="w-3/4 m-auto">
            <h2 class="ttext-gray-700 text-lg font-bold">Wiki</h2>
            <vue-editor class="mb-2" v-model="postData"></vue-editor>
            <button class="bg-teal-600 hover:bg-teal-700 text-white font-bold py-1 px-2 border-b-4 border-teal-700 hover:border-teal-600 rounded"
                    @click="savePost">
                Add +
            </button>
            <div v-if="posts.length">
                <div v-for="(post,index) in posts" v-bind:key="index" v-html="post"
                     class="max-w-sm m-auto rounded overflow-hidden shadow-lg mb-3 p-4">
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    import {VueEditor} from "vue2-editor";

    export default {
        name: "Wiki",
        components: {
            VueEditor
        },
        data: () => {
            return {
                postData: '',
                posts: [],

            }
        },
        methods: {
            savePost() {
                this.posts.unshift(this.postData)
                this.postData = ''
            }
        }
    }
</script>

<style scoped>

</style>